# Transcription Corrector

This small CLI programm takes an input .txt file, a word list (each line only featuring one word), and the name of an output file and corrects the input based on the closest word match via Levenshtein and Sørensen-Dice distance.

## Usage

For whole files:
```
$ text-correction correct-file -i input.txt -l wordlist.txt -o output.txt
```

For individual words:
```
$ text-correction correct-word -i exampleword
```

Written in Rust, using the `regex`, `fuzzt`, and `clap` crates.

Licensed under GPLv3-or-later.